%define	name	vnc2swf
%define	version	0.5.0
%define	release	%mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
URL:		http://www.unixuser.org/~euske/vnc2swf/
Source:		http://www.unixuser.org/~euske/%{name}/%{name}-%{version}.tar.bz2
#		http://lists.kde.org/?l=kde-promo&m=104430062329339&q=raw
Source1:	vnc2swf-howto.txt
Summary:	Tool for recording VNC sessions to Shockwave Flash
BuildRequires:	X11-devel xpm-devel
Requires:	vnc
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Vnc2swf is a recording tool for VNC, a protocol to manipulate 
remote window systems via network, developed by AT&T Laboratories 
Cambridge. It records VNC sessions and generates a Macromedia 
Flash movie file (SWF). It can be used as an X11 recorder or a 
Windows desktop recorder.

For instructions on using it, see vnc2swf-howto.txt in the documentation
directory.

%prep
%setup -q 

%configure --prefix=%{_prefix}

%build
#touch vnc2swf.man
%make 

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
find $RPM_BUILD_ROOT/%{_prefix} -type f -exec mv {} $RPM_BUILD_ROOT/%{_bindir} \;

cp %{SOURCE1} .

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%doc README* LICENCE.TXT vnc2swf-howto.txt




%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-6mdv2009.0
+ Revision: 255580
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-4mdv2008.1
+ Revision: 171163
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix spacing at top of description

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.5.0-3mdv2008.1
+ Revision: 136571
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Mar 18 2007 Buchan Milne <bgmilne@mandriva.org> 0.5.0-3mdv2007.1
+ Revision: 146176
- Rebuild
- Import vnc2swf

* Sun Jan 15 2006 Marcel Pol <mpol@mandriva.org> 0.5.0-2mdk
- remove claim from description about flash being a de facto standard

* Tue Dec 13 2005 Buchan Milne <bgmilne@mandriva.org> 0.5.0-1mdk
- New release 0.5.0
- drop patch0
- no longer buildrequires ming-devel

* Sun Jul 18 2004 Franck Villaume <fvill@freesurf.fr> 0.4.2-1mdk
- new version 0.4.2
- patch writeswf.c for ming 0.3

